/*
 * Copyright (C) 2010-2019 The ESPResSo project
 * Copyright (C) 2002,2003,2004,2005,2006,2007,2008,2009,2010
 *   Max-Planck-Institute for Polymer Research, Theory Group
 *
 * This file is part of ESPResSo.
 *
 * ESPResSo is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ESPResSo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/** \file
 *  This file controls debug facilities.
 *
 *  Implementation in debug.cpp.
 */

#include "config.hpp"

/** this performs a lot of tests which will very likely detect corruptions of
 *  \ref local_particles and the cell structure.
 */
void check_particle_consistency();

/**
 * @brief Check if particles are in correct cells.
 *
 * Check that particles are in the cells the cellsystem says
 * they should be.
 */
void check_particle_sorting();

extern int this_node;
